Subject: Re: [PATCH net-next v4 0/2] xdp_rxq_info_reg fixes for mlx5e

From: Maxim Mikityanskiy <[email-masked]>
Date: Fri, 16 Jun 2023 22:33:25 +0300

On Fri, 16 Jun 2023 at 11:54:21 -0700, Saeed Mahameed wrote:
> On 15 Jun 22:32, Jakub Kicinski wrote:
> > On Wed, 14 Jun 2023 12:00:04 +0300 Maxim Mikityanskiy wrote:
> > > Marked for net-next, as I'm not sure what the consensus was, but they
> > > can be applied cleanly to net as well.
> > 
> > Sorry for lack of clarity, you should drop the fixes tags.
> > If not implementing something was a bug most of the patches we merge
> > would have a fixes tag. That devalues the Fixes tag completely.
> > You can still ask Greg/Sasha to backport it later if you want.
> > 
> 
> You don't think this should go to net ?
> 
> The first 3 version were targeting net branch .. I don't know why Maxim
> decided to switch v4 to net-next, Maybe I missed an email ?
> 
> IMHO, I think these are net worthy since they are fixing issues with blabla,
> for commits claiming to add support for blabla.

I agree it's worth applying them to net, and I think it's a valid use
case for "Fixes" when the original commit says "implement X" but doesn't
implement X.

> I already applied those earlier to my net queue and was working on
> submission today, let me know if you are ok for me to send those two
> patches in my today's net PR.

If you were going to send these via net, that would be the best, please
go ahead and ignore my v4. I resent it solely because there was no
activity since February, and no one replied my ping two months ago [1].
Sorry for the noise.

Thanks,
Max

[1]: https://lore.kernel.org/all/[email-masked]/